package com.blamejared.compat.botania.lexicon.commands;

import java.util.Iterator;
import java.util.List;
import crafttweaker.mc1120.commands.SpecialMessagesChat;
import vazkii.botania.api.lexicon.LexiconEntry;
import vazkii.botania.api.BotaniaAPI;
import java.util.Collection;
import vazkii.botania.api.lexicon.LexiconPage;
import java.util.ArrayList;
import crafttweaker.CraftTweakerAPI;
import com.blamejared.compat.botania.BotaniaHelper;
import net.minecraft.command.ICommandSender;
import net.minecraft.server.MinecraftServer;
import crafttweaker.mc1120.commands.CraftTweakerCommand;

public class LexiconPageLogger extends CraftTweakerCommand
{
    public LexiconPageLogger() {
        super("botlexpages");
    }
    
    public void executeCommand(final MinecraftServer server, final ICommandSender sender, final String[] arguments) {
        LexiconEntry entry = null;
        if (arguments.length > 0) {
            entry = BotaniaHelper.findEntry(arguments[0]);
            if (entry == null) {
                CraftTweakerAPI.getLogger().logError("Entry not found (" + arguments[0] + ")");
                return;
            }
        }
        final List<LexiconPage> pages = new ArrayList<LexiconPage>();
        if (entry != null) {
            pages.addAll(entry.pages);
        }
        else {
            for (final LexiconEntry current_Entry : BotaniaAPI.getAllEntries()) {
                pages.addAll(current_Entry.pages);
            }
        }
        CraftTweakerAPI.logCommand("Botania Lexicon Pages");
        for (final LexiconPage page : pages) {
            CraftTweakerAPI.logCommand(page.getUnlocalizedName() + " (" + page.getClass() + ")");
        }
        if (sender != null) {
            sender.func_145747_a(SpecialMessagesChat.getLinkToCraftTweakerLog("List generated;", sender));
        }
    }
    
    protected void init() {
    }
}
